package main

import (
	"clickandjoin.app/emailserver/mailer"
	"clickandjoin.app/emailserver/modules/config"
	"clickandjoin.app/emailserver/modules/rabbitmq"
	gocnjhelper "git.ex.umbach.dev/ClickandJoin/go-cnj-helper"
)

func init() {
	config.LoadConfig()

	cfg := config.Cfg

	gocnjhelper.InitLogger(config.Cfg.Debug,
		true,
		true,
		gocnjhelper.GetConnectionString(cfg.RabbitMq.Username, cfg.RabbitMq.Password, cfg.RabbitMq.Host),
		cfg.ServiceName,
		cfg.ServiceType)

	mailer.Init()
}

func main() {
	rabbitmq.Init()
}
